SCSI_DEV_INFO_LIST_A(9)

NAME
scsi_dev_info_list_add - add one dev_info list entry.

SYNOPSIS

int scsi_dev_info_list_add(int compatible, char * vendor, char * model, char * strflags, int flags);

ARGUMENTS

compatible
    if true, null terminate short strings. Otherwise space pad.

vendor
    vendor string

model
    model (product) string

strflags
    integer string

flags
    if strflags NULL, use this flag value

DESCRIPTION

Create and add one dev_info entry for vendor, model, strflags or flag. If compatible, add to the tail of the list, do not space pad, and set devinfo->compatible. The scsi_static_device_list entries are added with compatible 1 and clfags NULL.

RETURNS

0 OK, -error on failure.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT